﻿using System;
using System.Globalization;
using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Microsoft.Phone.Tasks;

namespace PizzaSplitter.WP
{
    public partial class Page1 : PhoneApplicationPage
    {
        private PizzaMath pm;
        public Page1()
        {
            InitializeComponent();

            ApplicationBar = new ApplicationBar();
            ApplicationBar.IsMenuEnabled = true;
            ApplicationBar.IsVisible = true;
            ApplicationBar.Opacity = 1.0;
            ApplicationBar.Mode = ApplicationBarMode.Minimized;

            var helpItem = new ApplicationBarIconButton(new Uri("/Images/appbar.questionmark.rest.png", UriKind.Relative));
            var rateItem = new ApplicationBarIconButton(new Uri("/Images/appbar.favs.rest.png", UriKind.Relative));

            helpItem.Text = "help";
            rateItem.Text = "rate";

            helpItem.Click += HelpClick;
            rateItem.Click += RateItemOnClick;

            ApplicationBar.Buttons.Add(helpItem);
            ApplicationBar.Buttons.Add(rateItem);

            NumberOfPeopleRadNumericUpDown.Value = 3;
            NumberOfPizzasRadNumericUpDown.Value = 2;
            SlicesPerPizzaRadNumericUpDown.Value = 8;

            SlicesPerPersonTextBlock.Text = "0";
            RemainingSlicesTextBlock.Text = "0";
        }
        private void HelpClick(object sender, EventArgs eventArgs)
        {
            NavigationService.Navigate(new Uri("/Help.xaml", UriKind.Relative));
        }
        private void RateItemOnClick(object sender, EventArgs eventArgs)
        {
            MarketplaceReviewTask rate = new MarketplaceReviewTask();
            rate.Show();
        }
        private void CalculateSplitButtonClick(object sender, RoutedEventArgs e)
        {
            pm = new PizzaMath(   (int)NumberOfPeopleRadNumericUpDown.Value, 
                                            (int)NumberOfPizzasRadNumericUpDown.Value, 
                                            (int)SlicesPerPizzaRadNumericUpDown.Value);
            if (pm.Calculate())
            {
                SlicesPerPersonTextBlock.Text = pm.SlicesPerPerson.ToString(CultureInfo.InvariantCulture);
                RemainingSlicesTextBlock.Text = pm.SlicesRemaining.ToString(CultureInfo.InvariantCulture);
            }
        }
        private void SplitRemainingSlicesButtonClick(object sender, RoutedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/Page2.xaml?", UriKind.Relative));
        }
    }
}