﻿using System;

namespace PizzaSplitter.WP
{
    public class PizzaMath
    {
        public int NumberOfPeople { get; private set; }
        public int NumberOfPizzas { get; private set; }
        public int SlicesPerPizza { get; private set; }

        public int SlicesPerPerson { get; private set; }
        public int SlicesRemaining { get; private set; }       

        public PizzaMath(int numberOfPeople, int numberOfPizzas, int slicesPerPizza)
        {
            NumberOfPeople = numberOfPeople;
            NumberOfPizzas = numberOfPizzas;
            SlicesPerPizza = slicesPerPizza;
            SlicesPerPerson = 0;
            SlicesRemaining = 0;
        }
        public bool Calculate()
        {
            try
            {
                SlicesRemaining = (NumberOfPizzas * SlicesPerPizza) % NumberOfPeople;
                SlicesPerPerson = (((NumberOfPizzas * SlicesPerPizza) - SlicesPerPerson) / NumberOfPeople);
                return true;
            }
            catch (Exception)
            {
                return false;
            }
        }
    }
}
